# listsinceblock {disallowed} - Bitcoin

#### Parameters

`blockhash` - string, optional

If set, the block hash to list transactions since, otherwise list all transactions.

`target_confirmations` - numeric, optional, default=1

Return the nth block hash from the main chain. e.g. 1 would mean the best block hash.

Note this is not used as a filter, but only affects \[lastblock] in the return value

`include_watchonly` - boolean, optional, default=true for watch-only wallets, otherwise false

Include transactions to watch-only addresses (see ‘importaddress’)

`include_removed` - boolean, optional, default=true

Show transactions that were removed due to a reorg in the “removed” array (not guaranteed to work on pruned nodes)

#### Request

```java
curl --location --request POST 'https://go.getblock.io/<ACCESS-TOKEN>/' 
--header 'Content-Type: application/json' 
--data-raw '{"jsonrpc": "2.0",
"method": "listsinceblock",
"params": [null, null, null, null],
"id": "getblock.io"}'
```

#### Response

```java
{
    "result": "null",
    "id": "getblock.io",
    "status_code": 405,
    "message": "Method not allowed"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.getblock.io/api-reference/bitcoin-btc/btc_listsinceblock.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
